<?php

	add_action( 'init', 'create_wpmemberspro_contentpage' );
	function create_wpmemberspro_contentpage() {
		register_post_type( 'contentpage',
			array(
				'labels' => array(
					'name' => __( 'Content Page' ),
					'singular_name' => __( 'Content Page' )
				),
				'public' => true,
				'publicly_queryable' => true,
				'query_var' => true,
				'rewrite' => true,
				'menu_icon' => 'http://cdn2.iconfinder.com/data/icons/ledicons/page_white_text.png'
			)
		);
		flush_rewrite_rules();
	}
	
	add_action( 'add_meta_boxes', 'wpmemberspro_contentpage_metabox' );
	function wpmemberspro_contentpage_metabox()
	{
		add_meta_box( 'wpmemberspro_contentpage', 'Content Page Settings', 'wpmembersprocontentpagesettings', 'contentpage', 'normal', 'high' );
	}
	
	function wpmembersprocontentpagesettings( $post )
	{
		$values = get_post_custom( $post->ID );
		$headline = isset( $values['headline'] ) ? esc_attr( $values['headline'][0] ) : '';
		$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
		$sidebarheadline = isset( $values['sidebarheadline'] ) ? esc_attr( $values['sidebarheadline'][0] ) : '';
		$sidebarsubheadline = isset( $values['sidebarsubheadline'] ) ? esc_attr( $values['sidebarsubheadline'][0] ) : '';
		$bigicon = isset( $values['bigicon'] ) ? esc_attr( $values['bigicon'][0] ) : '';
		$videocode = isset( $values['videocode'] ) ? esc_attr( $values['videocode'][0] ) : '';
		
		wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	<style type="text/css" media="screen">
		
		#ui-box input[type=text] {
			display: block;
			width: 100%;
			padding: 10px;
			font-size: 12px;
			margin: 5px 0;
			color: #333;
		}
		#ui-box select {
			display: block;
			width: 100%;
			height: 40px;
			padding: 10px;
			font-size: 12px;
			margin: 5px 0;
			color: #333;
		}
		#ui-box textarea {
			display: block;
			width: 100%;
			height: 140px;
			padding: 10px;
			font-size: 12px;
			margin: 5px 0;
			color: #333;
		}
		hr {
			border: none;
			border-top: 1px #ddd solid;
		}
	</style>
		<div id="ui-box">
			<p>
				<strong>Headline:</strong>
				<input type="text" name="headline" id="headline" value="<?php echo $headline; ?>" />
			</p>
			<p>
				<strong>Sub Headline:</strong>
				<input type="text" name="subheadline" id="subheadline" value="<?php echo $subheadline; ?>" />
			</p>
			<p>
				<strong>Sidebar Headline:</strong>
				<input type="text" name="sidebarheadline" id="sidebarheadline" value="<?php echo $sidebarheadline; ?>" />
			</p>
			<p>
				<strong>Sidebar Sub Headline:</strong>
				<input type="text" name="sidebarsubheadline" id="sidebarsubheadline" value="<?php echo $sidebarsubheadline; ?>" />
			</p>
			<p>
				<strong>Big Icon:</strong>
				<select name="bigicon" id="bigicon" >
					<option value="icon1"  <?php if ($bigicon == 'icon1') { ?> selected <?php } ?>>Text File</option>
					<option value="icon2"  <?php if ($bigicon == 'icon2') { ?> selected <?php } ?>>Photo Folder</option>
					<option value="icon3"  <?php if ($bigicon == 'icon3') { ?> selected <?php } ?>>Settings</option>
					<option value="icon4"  <?php if ($bigicon == 'icon4') { ?> selected <?php } ?>>PDF</option>
					<option value="icon5"  <?php if ($bigicon == 'icon5') { ?> selected <?php } ?>>Downloads</option>
					<option value="icon6"  <?php if ($bigicon == 'icon6') { ?> selected <?php } ?>>Box</option>
					<option value="icon7"  <?php if ($bigicon == 'icon7') { ?> selected <?php } ?>>Smile</option>
					<option value="icon8"  <?php if ($bigicon == 'icon8') { ?> selected <?php } ?>>Video</option>
				</select>
			</p>
		</div>
		<?php	
	}


	add_action( 'save_post', 'wpmemberspro_contentpage_metasave' );
	function wpmemberspro_contentpage_metasave( $post_id )
	{
		if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
		
		if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
		
		if( !current_user_can( 'edit_post' ) ) return;
		
		$allowed = array( 
			'a' => array(
				'href' => array() 
			)
		);
		
		if( isset( $_POST['headline'] ) )
			update_post_meta( $post_id, 'headline', wp_kses( $_POST['headline'], $allowed ) );
		if( isset( $_POST['subheadline'] ) )
			update_post_meta( $post_id, 'subheadline', wp_kses( $_POST['subheadline'], $allowed ) );
		if( isset( $_POST['sidebarheadline'] ) )
			update_post_meta( $post_id, 'sidebarheadline', wp_kses( $_POST['sidebarheadline'], $allowed ) );
		if( isset( $_POST['sidebarsubheadline'] ) )
			update_post_meta( $post_id, 'sidebarsubheadline', wp_kses( $_POST['sidebarsubheadline'], $allowed ) );
		if( isset( $_POST['bigicon'] ) )
			update_post_meta( $post_id, 'bigicon', wp_kses( $_POST['bigicon'], $allowed ) );
			
		if( isset( $_POST['videocode'] ) )
			update_post_meta( $post_id, htmlspecialchars('videocode'), wp_kses( htmlspecialchars($_POST['videocode']), $allowed ) );
		
	}
	
?>