<?php

	add_action( 'init', 'create_wpmemberspro_downloadpage' );
	function create_wpmemberspro_downloadpage() {
		register_post_type( 'downloadpage',
			array(
				'labels' => array(
					'name' => __( 'Download Page' ),
					'singular_name' => __( 'Download Page' )
				),
				'public' => true,
				'publicly_queryable' => true,
				'query_var' => true,
				'rewrite' => true,
				'menu_icon' => 'http://cdn2.iconfinder.com/data/icons/splashyIcons/document_small_download.png'
			)
		);
		flush_rewrite_rules();
	}
	
	add_action( 'add_meta_boxes', 'wpmemberspro_downloadpagepro_metabox' );
	function wpmemberspro_downloadpagepro_metabox()
	{
		add_meta_box( 'wpmemberspro_downloadpagepro', 'Download Page Settings', 'wpmemberspro_downloadpagesettings', 'downloadpage', 'normal', 'high' );
	}
	
	function wpmemberspro_downloadpagesettings( $post )
	{
		$values = get_post_custom( $post->ID );
		$headline = isset( $values['headline'] ) ? esc_attr( $values['headline'][0] ) : '';
		$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
		$sidebarheadline = isset( $values['sidebarheadline'] ) ? esc_attr( $values['sidebarheadline'][0] ) : '';
		$sidebarsubheadline = isset( $values['sidebarsubheadline'] ) ? esc_attr( $values['sidebarsubheadline'][0] ) : '';
		$bigicon = isset( $values['bigicon'] ) ? esc_attr( $values['bigicon'][0] ) : '';
		
		$link1 = isset( $values['link1'] ) ? esc_attr( $values['link1'][0] ) : '';
		$link1_url = isset( $values['link1_url'] ) ? esc_attr( $values['link1_url'][0] ) : '';
		$linkicon1 = isset( $values['linkicon1'] ) ? esc_attr( $values['linkicon1'][0] ) : '';
		$link1 = isset( $values['link1'] ) ? esc_attr( $values['link1'][0] ) : '';
		$link1_url = isset( $values['link1_url'] ) ? esc_attr( $values['link1_url'][0] ) : '';
		$linkicon1 = isset( $values['linkicon1'] ) ? esc_attr( $values['linkicon1'][0] ) : '';
		$link2 = isset( $values['link2'] ) ? esc_attr( $values['link2'][0] ) : '';
		$link2_url = isset( $values['link2_url'] ) ? esc_attr( $values['link2_url'][0] ) : '';
		$linkicon2 = isset( $values['linkicon2'] ) ? esc_attr( $values['linkicon2'][0] ) : '';
		$link3 = isset( $values['link3'] ) ? esc_attr( $values['link3'][0] ) : '';
		$link3_url = isset( $values['link3_url'] ) ? esc_attr( $values['link3_url'][0] ) : '';
		$linkicon3 = isset( $values['linkicon3'] ) ? esc_attr( $values['linkicon3'][0] ) : '';
		$link4 = isset( $values['link4'] ) ? esc_attr( $values['link4'][0] ) : '';
		$link4_url = isset( $values['link4_url'] ) ? esc_attr( $values['link4_url'][0] ) : '';
		$linkicon4 = isset( $values['linkicon4'] ) ? esc_attr( $values['linkicon4'][0] ) : '';
		$link5 = isset( $values['link5'] ) ? esc_attr( $values['link5'][0] ) : '';
		$link5_url = isset( $values['link5_url'] ) ? esc_attr( $values['link5_url'][0] ) : '';
		$linkicon5 = isset( $values['linkicon5'] ) ? esc_attr( $values['linkicon5'][0] ) : '';
		$link6 = isset( $values['link6'] ) ? esc_attr( $values['link6'][0] ) : '';
		$link6_url = isset( $values['link6_url'] ) ? esc_attr( $values['link6_url'][0] ) : '';
		$linkicon6 = isset( $values['linkicon6'] ) ? esc_attr( $values['linkicon6'][0] ) : '';
		$link7 = isset( $values['link7'] ) ? esc_attr( $values['link7'][0] ) : '';
		$link7_url = isset( $values['link7_url'] ) ? esc_attr( $values['link7_url'][0] ) : '';
		$linkicon7 = isset( $values['linkicon7'] ) ? esc_attr( $values['linkicon7'][0] ) : '';
		$link8 = isset( $values['link8'] ) ? esc_attr( $values['link8'][0] ) : '';
		$link8_url = isset( $values['link8_url'] ) ? esc_attr( $values['link8_url'][0] ) : '';
		$linkicon8 = isset( $values['linkicon8'] ) ? esc_attr( $values['linkicon8'][0] ) : '';
		$link9 = isset( $values['link9'] ) ? esc_attr( $values['link9'][0] ) : '';
		$link9_url = isset( $values['link9_url'] ) ? esc_attr( $values['link9_url'][0] ) : '';
		$linkicon9 = isset( $values['linkicon9'] ) ? esc_attr( $values['linkicon9'][0] ) : '';
		
		wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	<style type="text/css" media="screen">
		
		#ui-box input[type=text] {
			display: block;
			width: 100%;
			padding: 10px;
			font-size: 12px;
			margin: 5px 0;
			color: #333;
		}
		#ui-box select {
			display: block;
			width: 100%;
			height: 40px;
			padding: 10px;
			font-size: 12px;
			margin: 5px 0;
			color: #333;
		}
		hr {
			border: none;
			border-top: 1px #ddd solid;
		}
	</style>
		<div id="ui-box">
			<p>
				<strong>Headline:</strong>
				<input type="text" name="headline" id="headline" value="<?php echo $headline; ?>" />
			</p>
			<p>
				<strong>Sub Headline:</strong>
				<input type="text" name="subheadline" id="subheadline" value="<?php echo $subheadline; ?>" />
			</p>
			<p>
				<strong>Sidebar Headline:</strong>
				<input type="text" name="sidebarheadline" id="sidebarheadline" value="<?php echo $sidebarheadline; ?>" />
			</p>
			<p>
				<strong>Sidebar Sub Headline:</strong>
				<input type="text" name="sidebarsubheadline" id="sidebarsubheadline" value="<?php echo $sidebarsubheadline; ?>" />
			</p>
			<p>
				<strong>Big Icon:</strong>
				<select name="bigicon" id="bigicon" >
					<option value="icon1"  <?php if ($bigicon == 'icon1') { ?> selected <?php } ?>>Text File</option>
					<option value="icon2"  <?php if ($bigicon == 'icon2') { ?> selected <?php } ?>>Photo Folder</option>
					<option value="icon3"  <?php if ($bigicon == 'icon3') { ?> selected <?php } ?>>Settings</option>
					<option value="icon4"  <?php if ($bigicon == 'icon4') { ?> selected <?php } ?>>PDF</option>
					<option value="icon5"  <?php if ($bigicon == 'icon5') { ?> selected <?php } ?>>Downloads</option>
					<option value="icon6"  <?php if ($bigicon == 'icon6') { ?> selected <?php } ?>>Box</option>
					<option value="icon7"  <?php if ($bigicon == 'icon7') { ?> selected <?php } ?>>Smile</option>
					<option value="icon8"  <?php if ($bigicon == 'icon8') { ?> selected <?php } ?>>Video</option>
				</select>
			</p>
			<hr />
			<h3>Download Link #1</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link1" id="link1" value="<?php echo $link1; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link1_url" id="link1_url" value="<?php echo $link1_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon1" id="linkicon1" >
					<option value="file"  <?php if ($linkicon1 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon1 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon1 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon1 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon1 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon1 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon1 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon1 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon1 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon1 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon1 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			
			<hr />
			<h3>Download Link #2</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link2" id="link2" value="<?php echo $link2; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link2_url" id="link2_url" value="<?php echo $link2_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon2" id="linkicon2" >
					<option value="file"  <?php if ($linkicon2 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon2 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon2 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon2 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon2 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon2 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon2 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon2 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon2 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon2 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon2 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			<hr />
			<h3>Download Link #3</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link3" id="link3" value="<?php echo $link3; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link3_url" id="link3_url" value="<?php echo $link3_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon3" id="linkicon3" >
					<option value="file"  <?php if ($linkicon3 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon3 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon3 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon3 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon3 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon3 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon3 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon3 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon3 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon3 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon3 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			<hr />
			<h3>Download Link #4</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link4" id="link4" value="<?php echo $link4; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link4_url" id="link4_url" value="<?php echo $link4_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon4" id="linkicon4" >
					<option value="file"  <?php if ($linkicon4 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon4 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon4 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon4 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon4 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon4 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon4 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon4 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon4 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon4 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon4 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			<hr />
			<h3>Download Link #5</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link5" id="link5" value="<?php echo $link5; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link5_url" id="link5_url" value="<?php echo $link5_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon5" id="linkicon5" >
					<option value="file"  <?php if ($linkicon5 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon5 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon5 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon5 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon5 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon5 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon5 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon5 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon5 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon5 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon5 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			<hr />
			<h3>Download Link #6</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link6" id="link6" value="<?php echo $link6; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link6_url" id="link6_url" value="<?php echo $link6_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon6" id="linkicon6" >
					<option value="file"  <?php if ($linkicon6 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon6 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon6 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon6 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon6 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon6 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon6 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon6 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon6 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon6 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon6 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			<hr />
			<h3>Download Link #7</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link7" id="link7" value="<?php echo $link7; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link7_url" id="link7_url" value="<?php echo $link7_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon7" id="linkicon7" >
					<option value="file"  <?php if ($linkicon7 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon7 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon7 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon7 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon7 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon7 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon7 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon7 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon7 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon7 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon7 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			<hr />
			<h3>Download Link #8</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link8" id="link8" value="<?php echo $link8; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link8_url" id="link8_url" value="<?php echo $link8_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon8" id="linkicon8" >
					<option value="file"  <?php if ($linkicon8 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon8 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon8 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon8 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon8 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon8 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon8 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon8 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon8 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon8 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon8 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			<hr />
			<h3>Download Link #9</h3>
			<p>
				<strong>Download Link:</strong>
				<input type="text" name="link9" id="link9" value="<?php echo $link9; ?>" />
			</p>
			<p>
				<strong>Download Link URL:</strong>
				<input type="text" name="link9_url" id="link9_url" value="<?php echo $link9_url; ?>" />
			</p>
			<p>
				<strong>Small Icon:</strong>
				<select name="linkicon9" id="linkicon9" >
					<option value="file"  <?php if ($linkicon9 == 'file') { ?> selected <?php } ?>>File</option>
					<option value="audio"  <?php if ($linkicon9 == 'audio') { ?> selected <?php } ?>>Audio</option>
					<option value="Video"  <?php if ($linkicon9 == 'Video') { ?> selected <?php } ?>>Video</option>
					<option value="Arrow"  <?php if ($linkicon9 == 'Arrow') { ?> selected <?php } ?>>Arrow</option>
					<option value="Folder"  <?php if ($linkicon9 == 'Folder') { ?> selected <?php } ?>>Folder</option>
					<option value="PDF"  <?php if ($linkicon9 == 'PDF') { ?> selected <?php } ?>>PDF</option>
					<option value="Photoshop"  <?php if ($linkicon9 == 'Photoshop') { ?> selected <?php } ?>>Photoshop</option>
					<option value="Facebook"  <?php if ($linkicon9 == 'Facebook') { ?> selected <?php } ?>>Facebook</option>
					<option value="html"  <?php if ($linkicon9 == 'html') { ?> selected <?php } ?>>HTML</option>
					<option value="software"  <?php if ($linkicon9 == 'software') { ?> selected <?php } ?>>Software</option>
					<option value="link"  <?php if ($linkicon9 == 'link') { ?> selected <?php } ?>>Link</option>
				</select>
			</p>
			
			
		</div>
		<?php	
	}


	add_action( 'save_post', 'wpmemberspro_downloadpage_metasave' );
	function wpmemberspro_downloadpage_metasave( $post_id )
	{
		if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
		
		if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
		
		if( !current_user_can( 'edit_post' ) ) return;
		
		$allowed = array( 
			'a' => array(
				'href' => array() 
			)
		);
		
		if( isset( $_POST['headline'] ) )
			update_post_meta( $post_id, 'headline', wp_kses( $_POST['headline'], $allowed ) );
		if( isset( $_POST['subheadline'] ) )
			update_post_meta( $post_id, 'subheadline', wp_kses( $_POST['subheadline'], $allowed ) );
		if( isset( $_POST['sidebarheadline'] ) )
			update_post_meta( $post_id, 'sidebarheadline', wp_kses( $_POST['sidebarheadline'], $allowed ) );
		if( isset( $_POST['sidebarsubheadline'] ) )
			update_post_meta( $post_id, 'sidebarsubheadline', wp_kses( $_POST['sidebarsubheadline'], $allowed ) );
		if( isset( $_POST['bigicon'] ) )
			update_post_meta( $post_id, 'bigicon', wp_kses( $_POST['bigicon'], $allowed ) );
			
		if( isset( $_POST['link1'] ) )
			update_post_meta( $post_id, 'link1', wp_kses( $_POST['link1'], $allowed ) );
		if( isset( $_POST['link1_url'] ) )
			update_post_meta( $post_id, 'link1_url', wp_kses( $_POST['link1_url'], $allowed ) );
		if( isset( $_POST['linkicon1'] ) )
			update_post_meta( $post_id, 'linkicon1', wp_kses( $_POST['linkicon1'], $allowed ) );
		if( isset( $_POST['link1'] ) )
			update_post_meta( $post_id, 'link1', wp_kses( $_POST['link1'], $allowed ) );
		if( isset( $_POST['link1_url'] ) )
			update_post_meta( $post_id, 'link1_url', wp_kses( $_POST['link1_url'], $allowed ) );
		if( isset( $_POST['linkicon1'] ) )
			update_post_meta( $post_id, 'linkicon1', wp_kses( $_POST['linkicon1'], $allowed ) );
		if( isset( $_POST['link2'] ) )
			update_post_meta( $post_id, 'link2', wp_kses( $_POST['link2'], $allowed ) );
		if( isset( $_POST['link2_url'] ) )
			update_post_meta( $post_id, 'link2_url', wp_kses( $_POST['link2_url'], $allowed ) );
		if( isset( $_POST['linkicon2'] ) )
			update_post_meta( $post_id, 'linkicon2', wp_kses( $_POST['linkicon2'], $allowed ) );
		if( isset( $_POST['link3'] ) )
			update_post_meta( $post_id, 'link3', wp_kses( $_POST['link3'], $allowed ) );
		if( isset( $_POST['link3_url'] ) )
			update_post_meta( $post_id, 'link3_url', wp_kses( $_POST['link3_url'], $allowed ) );
		if( isset( $_POST['linkicon3'] ) )
			update_post_meta( $post_id, 'linkicon3', wp_kses( $_POST['linkicon3'], $allowed ) );
		if( isset( $_POST['link4'] ) )
			update_post_meta( $post_id, 'link4', wp_kses( $_POST['link4'], $allowed ) );
		if( isset( $_POST['link4_url'] ) )
			update_post_meta( $post_id, 'link4_url', wp_kses( $_POST['link4_url'], $allowed ) );
		if( isset( $_POST['linkicon4'] ) )
			update_post_meta( $post_id, 'linkicon4', wp_kses( $_POST['linkicon4'], $allowed ) );
		if( isset( $_POST['link5'] ) )
			update_post_meta( $post_id, 'link5', wp_kses( $_POST['link5'], $allowed ) );
		if( isset( $_POST['link5_url'] ) )
			update_post_meta( $post_id, 'link5_url', wp_kses( $_POST['link5_url'], $allowed ) );
		if( isset( $_POST['linkicon5'] ) )
			update_post_meta( $post_id, 'linkicon5', wp_kses( $_POST['linkicon5'], $allowed ) );
		if( isset( $_POST['link6'] ) )
			update_post_meta( $post_id, 'link6', wp_kses( $_POST['link6'], $allowed ) );
		if( isset( $_POST['link6_url'] ) )
			update_post_meta( $post_id, 'link6_url', wp_kses( $_POST['link6_url'], $allowed ) );
		if( isset( $_POST['linkicon6'] ) )
			update_post_meta( $post_id, 'linkicon6', wp_kses( $_POST['linkicon6'], $allowed ) );
		if( isset( $_POST['link7'] ) )
			update_post_meta( $post_id, 'link7', wp_kses( $_POST['link7'], $allowed ) );
		if( isset( $_POST['link7_url'] ) )
			update_post_meta( $post_id, 'link7_url', wp_kses( $_POST['link7_url'], $allowed ) );
		if( isset( $_POST['linkicon7'] ) )
			update_post_meta( $post_id, 'linkicon7', wp_kses( $_POST['linkicon7'], $allowed ) );
		if( isset( $_POST['link8'] ) )
			update_post_meta( $post_id, 'link8', wp_kses( $_POST['link8'], $allowed ) );
		if( isset( $_POST['link8_url'] ) )
			update_post_meta( $post_id, 'link8_url', wp_kses( $_POST['link8_url'], $allowed ) );
		if( isset( $_POST['linkicon8'] ) )
			update_post_meta( $post_id, 'linkicon8', wp_kses( $_POST['linkicon8'], $allowed ) );
		if( isset( $_POST['link9'] ) )
			update_post_meta( $post_id, 'link9', wp_kses( $_POST['link9'], $allowed ) );
		if( isset( $_POST['link9_url'] ) )
			update_post_meta( $post_id, 'link9_url', wp_kses( $_POST['link9_url'], $allowed ) );
		if( isset( $_POST['linkicon9'] ) )
			update_post_meta( $post_id, 'linkicon9', wp_kses( $_POST['linkicon9'], $allowed ) );
	}
	
?>