<?php

	add_action( 'init', 'create_wpmemberspro_modulepage' );
	function create_wpmemberspro_modulepage() {
		register_post_type( 'modulepage',
			array(
				'labels' => array(
					'name' => __( 'Module Page' ),
					'singular_name' => __( 'Module Page' )
				),
				'public' => true,
				'publicly_queryable' => true,
				'query_var' => true,
				'rewrite' => true,
				'menu_icon' => 'http://cdn1.iconfinder.com/data/icons/CrystalClear/16x16/devices/blockdevice.png'
			)
		);
		flush_rewrite_rules();
	}
	
	
	add_action( 'add_meta_boxes', 'wpmemberspro_modulepage_metabox' );
	function wpmemberspro_modulepage_metabox()
	{
		add_meta_box( 'wpmemberspro_modulepage', 'Module Page Settings', 'wpmemberspromodulepagesettings', 'modulepage', 'normal', 'high' );
	}
	
	function wpmemberspromodulepagesettings( $post )
	{
		$values = get_post_custom( $post->ID );
		$headline = isset( $values['headline'] ) ? esc_attr( $values['headline'][0] ) : '';
		$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
		$sidebarheadline = isset( $values['sidebarheadline'] ) ? esc_attr( $values['sidebarheadline'][0] ) : '';
		$sidebarsubheadline = isset( $values['sidebarsubheadline'] ) ? esc_attr( $values['sidebarsubheadline'][0] ) : '';
		$bigicon = isset( $values['bigicon'] ) ? esc_attr( $values['bigicon'][0] ) : '';
		
		$moduletitle1 = isset( $values['moduletitle1'] ) ? esc_attr( $values['moduletitle1'][0] ) : '';
		$modulecontent1 = isset( $values['modulecontent1'] ) ? esc_attr( $values['modulecontent1'][0] ) : '';
		
		$moduletitle2 = isset( $values['moduletitle2'] ) ? esc_attr( $values['moduletitle2'][0] ) : '';
		$modulecontent2 = isset( $values['modulecontent2'] ) ? esc_attr( $values['modulecontent2'][0] ) : '';
		
		$moduletitle3 = isset( $values['moduletitle3'] ) ? esc_attr( $values['moduletitle3'][0] ) : '';
		$modulecontent3 = isset( $values['modulecontent3'] ) ? esc_attr( $values['modulecontent3'][0] ) : '';
		
		wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
	<style type="text/css" media="screen">
		
		#ui-box input[type=text] {
			display: block;
			width: 100%;
			padding: 10px;
			font-size: 12px;
			margin: 5px 0;
			color: #333;
		}
		#ui-box select {
			display: block;
			width: 100%;
			height: 40px;
			padding: 10px;
			font-size: 12px;
			margin: 5px 0;
			color: #333;
		}
		#ui-box textarea {
			display: block;
			width: 100%;
			height: 140px;
			padding: 10px;
			font-size: 12px;
			margin: 5px 0;
			color: #333;
		}
		hr {
			border: none;
			border-top: 1px #ddd solid;
		}
	</style>
		<div id="ui-box">
			<p>
				<strong>Headline:</strong>
				<input type="text" name="headline" id="headline" value="<?php echo $headline; ?>" />
			</p>
			<p>
				<strong>Sub Headline:</strong>
				<input type="text" name="subheadline" id="subheadline" value="<?php echo $subheadline; ?>" />
			</p>
			<p>
				<strong>Sidebar Headline:</strong>
				<input type="text" name="sidebarheadline" id="sidebarheadline" value="<?php echo $sidebarheadline; ?>" />
			</p>
			<p>
				<strong>Sidebar Sub Headline:</strong>
				<input type="text" name="sidebarsubheadline" id="sidebarsubheadline" value="<?php echo $sidebarsubheadline; ?>" />
			</p>
			<p>
				<strong>Big Icon:</strong>
				<select name="bigicon" id="bigicon" >
					<option value="icon1"  <?php if ($bigicon == 'icon1') { ?> selected <?php } ?>>Text File</option>
					<option value="icon2"  <?php if ($bigicon == 'icon2') { ?> selected <?php } ?>>Photo Folder</option>
					<option value="icon3"  <?php if ($bigicon == 'icon3') { ?> selected <?php } ?>>Settings</option>
					<option value="icon4"  <?php if ($bigicon == 'icon4') { ?> selected <?php } ?>>PDF</option>
					<option value="icon5"  <?php if ($bigicon == 'icon5') { ?> selected <?php } ?>>Downloads</option>
					<option value="icon6"  <?php if ($bigicon == 'icon6') { ?> selected <?php } ?>>Box</option>
					<option value="icon7"  <?php if ($bigicon == 'icon7') { ?> selected <?php } ?>>Smile</option>
					<option value="icon8"  <?php if ($bigicon == 'icon8') { ?> selected <?php } ?>>Video</option>
				</select>
			</p>
			<hr />
			<h3>Module Content #1</h3>
			<p>
				<strong>Module Title:</strong>
				<input type="text" name="moduletitle1" id="moduletitle1" value="<?php echo $moduletitle1; ?>" />
			</p>			
			<p>
				<strong>Module Content: (HTML Allowed)</strong>
				<textarea name="modulecontent1"><?php echo $modulecontent1; ?></textarea>
			</p>	
			<hr />
			<h3>Module Content #2</h3>
			<p>
				<strong>Module Title:</strong>
				<input type="text" name="moduletitle2" id="moduletitle2" value="<?php echo $moduletitle2; ?>" />
			</p>			
			<p>
				<strong>Module Content: HTML Allowed)</strong>
				<textarea name="modulecontent2"><?php echo $modulecontent2; ?></textarea>
			</p>		
			<hr />
			<h3>Module Content #3</h3>
			<p>
				<strong>Module Title:</strong>
				<input type="text" name="moduletitle3" id="moduletitle3" value="<?php echo $moduletitle3; ?>" />
			</p>			
			<p>
				<strong>Module Content: (HTML Allowed)</strong>
				<textarea name="modulecontent3"><?php echo $modulecontent3; ?></textarea>
			</p>			
		</div>
		<?php	
	}


	add_action( 'save_post', 'wpmemberspro_modulepage_metasave' );
	function wpmemberspro_modulepage_metasave( $post_id )
	{
		if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
		
		if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
		
		if( !current_user_can( 'edit_post' ) ) return;
		
		$allowed = array( 
			'a' => array(
				'href' => array() 
			)
		);
		
		if( isset( $_POST['headline'] ) )
			update_post_meta( $post_id, 'headline', wp_kses( $_POST['headline'], $allowed ) );
		if( isset( $_POST['subheadline'] ) )
			update_post_meta( $post_id, 'subheadline', wp_kses( $_POST['subheadline'], $allowed ) );
		if( isset( $_POST['sidebarheadline'] ) )
			update_post_meta( $post_id, 'sidebarheadline', wp_kses( $_POST['sidebarheadline'], $allowed ) );
		if( isset( $_POST['sidebarsubheadline'] ) )
			update_post_meta( $post_id, 'sidebarsubheadline', wp_kses( $_POST['sidebarsubheadline'], $allowed ) );
		if( isset( $_POST['bigicon'] ) )
			update_post_meta( $post_id, 'bigicon', wp_kses( $_POST['bigicon'], $allowed ) );
			
		if( isset( $_POST['moduletitle1'] ) )
			update_post_meta( $post_id, 'moduletitle1', wp_kses( $_POST['moduletitle1'], $allowed ) );
		if( isset( $_POST['modulecontent1'] ) )
			update_post_meta( $post_id,  htmlspecialchars('modulecontent1'), wp_kses( htmlspecialchars($_POST['modulecontent1']), $allowed ) );
			
		if( isset( $_POST['moduletitle2'] ) )
			update_post_meta( $post_id, 'moduletitle2', wp_kses( $_POST['moduletitle2'], $allowed ) );
		if( isset( $_POST['modulecontent2'] ) )
			update_post_meta( $post_id,  htmlspecialchars('modulecontent2'), wp_kses( htmlspecialchars($_POST['modulecontent2']), $allowed ) );
			
		if( isset( $_POST['moduletitle3'] ) )
			update_post_meta( $post_id, 'moduletitle3', wp_kses( $_POST['moduletitle3'], $allowed ) );
		if( isset( $_POST['modulecontent3'] ) )
			update_post_meta( $post_id,  htmlspecialchars('modulecontent3'), wp_kses( htmlspecialchars($_POST['modulecontent3']), $allowed ) );
		
			
		
	}
	
?>